Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement
Class Table

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.AbstractTable
              org.apache.jmeter.testelement.Table

All Implemented Interfaces:
  Cloneable, ReportTable, Serializable, TestElement

public class Table
extends AbstractTable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.testelement.AbstractTable
`items, REPORT_TABLE_50_PERCENT, REPORT_TABLE_90_PERCENT, REPORT_TABLE_ERROR_RATE, REPORT_TABLE_MAX, REPORT_TABLE_MEAN, REPORT_TABLE_MEDIAN, REPORT_TABLE_MIN, REPORT_TABLE_RESPONSE_RATE, REPORT_TABLE_TOTAL, REPORT_TABLE_TRANSFER_RATE, REPORT_TABLE_URL, xitems`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`Table()`

Method Summary
`String[][]` | `getTableData(List data)` for now the method isn't implemented.

Methods inherited from class org.apache.jmeter.testelement.AbstractTable
`addTestElement, get50Percent, get90Percent, getErrorRate, getMax, getMean, getMedian, getMin, getResponseRate, getTransferRate, set50Percent, set90Percent, setErrorRate, setMax, setMean, setMedian, setMin, setResponseRate, setTransferRate`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table()

Method Detail

### getTableData

    public String[][] getTableData(List data)

  for now the method isn't implemented. I still need to decide how it should be implemented.

  Specified by:
    `getTableData` in interface `ReportTable`
  Specified by:
    `getTableData` in class `AbstractTable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.